#set page(width: auto, height: auto)
#import "/src/lib.typ": *

#diagram({
  _par("a", display-name: "Alice")
  _par("b", display-name: "Bob")

  _seq("a", "b", comment: [hello])
  _note("left", [this is a first note])

  _seq("b", "a", comment: [ok])
  _note("right", [this is another note])

  _seq("b", "b", comment: [I am thinking])
  _note("left", [a note\ can also be defined\ on several lines])
})

#pagebreak()

#diagram({
  _par("a", display-name: "Alice")
  _par("b", display-name: "Bob")

  _note("over", [initial state of Alice], pos: "a")
  _note("over", [initial state of Bob], pos: "b")
  _seq("b", "a", comment: [hello])
})

#pagebreak()

#diagram({
  _par("a", display-name: "Alice")
  _par("b", display-name: "Bob")
  _par("c", display-name: "Charlie")
  _par("d", display-name: "Donald")
  _par("e", display-name: "Eddie")

  _note("across", [This note float above all participants])

  _note("over", [initial state of Alice], pos: "a")
  _note("over", [initial state of Bob the builder], pos: "b", aligned: true)

  _note("over", [Note 1], pos: "a")
  _note("over", [Note 2], pos: "b", aligned: true)
  _note("over", [Note 3], pos: "c", aligned: true)

  _seq("a", "d")
  _note("over", [this is an extremely long note], pos: ("d", "e"))
})